| Kinetis SDK v.2.0 API Reference Manual Rev. 0 Freescale Semiconductor, Inc.

- Main Page
- Related Pages
- API Reference

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Files
DMAMUX: Direct Memory Access Multiplexer Driver

## Overview

The KSDK provides a peripheral driver for the Direct Memory Access Multiplexer(DMAMUX) of Kinetis devices.

# Typical use case

## DMAMUX Operation

DMAMUX_Init(DMAMUX0);
DMAMUX_SetSource(DMAMUX0, channel, source);
DMAMUX_EnableChannel(DMAMUX0, channel);
...
DMAMUX_DisableChannel(DMAMUX, channel);
DMAMUX_Deinit(DMAMUX0);

## Files
file | fsl_dmamux.h

## Driver version
#define | FSL_DMAMUX_DRIVER_VERSION (MAKE_VERSION(2, 0, 0))
| DMAMUX driver version 2.0.0. More...

## DMAMUX Initialize and De-initialize
void | DMAMUX_Init (DMAMUX_Type *base)
| Initializes DMAMUX peripheral. More...
void | DMAMUX_Deinit (DMAMUX_Type *base)
| Deinitializes DMAMUX peripheral. More...

## DMAMUX Channel Operation
static void | DMAMUX_EnableChannel (DMAMUX_Type *base, uint32_t channel)
| Enable DMAMUX channel. More...
static void | DMAMUX_DisableChannel (DMAMUX_Type *base, uint32_t channel)
| Disable DMAMUX channel. More...
static void | DMAMUX_SetSource (DMAMUX_Type *base, uint32_t channel, uint8_t source)
| Configure DMAMUX channel source. More...

## Macro Definition Documentation

#define FSL_DMAMUX_DRIVER_VERSION (MAKE_VERSION(2, 0, 0))

## Function Documentation

void DMAMUX_Init | ( | DMAMUX_Type * | base | ) |

This function ungate the DMAMUX clock.

Parameters

  base | DMAMUX peripheral base address.

void DMAMUX_Deinit | ( | DMAMUX_Type * | base | ) |

This function gate the DMAMUX clock.

Parameters

  base | DMAMUX peripheral base address.

static void DMAMUX_EnableChannel | ( | DMAMUX_Type * | base,
|  | uint32_t | channel
| ) |  |
| inline static

This function enable DMAMUX channel to work.

Parameters

  base | DMAMUX peripheral base address.
  channel | DMAMUX channel number.

static void DMAMUX_DisableChannel | ( | DMAMUX_Type * | base,
|  | uint32_t | channel
| ) |  |
| inline static

This function disable DMAMUX channel.

Note
  User must disable DMAMUX channel before configure it.

Parameters

  base | DMAMUX peripheral base address.
  channel | DMAMUX channel number.

static void DMAMUX_SetSource | ( | DMAMUX_Type * | base,
|  | uint32_t | channel,
|  | uint8_t | source
| ) |  |
| inline static

Parameters

  base | DMAMUX peripheral base address.
  channel | DMAMUX channel number.
  source | Channel source which is used to trigger DMA transfer.